POST
/v1/bulk-payments/{payment-product}
curl \
--request POST 'https://api.memo.bank/nextgenpsd2/v1/bulk-payments/{payment-product}' \
--header "Content-Type: application/json" \
--header "Signature: $SIGNATURE" \
--data '{
"debtorAccount": {
"iban": "string",
"maskedPan": "string",
"currency": "string",
"cashAccountType": "string"
},
"payments": [
{
"instructedAmount": {
"currency": "string",
"amount": "string"
},
"creditorAccount": {
"iban": "string",
"maskedPan": "string",
"currency": "string",
"cashAccountType": "string"
},
"creditorName": "string",
"endToEndIdentification": "string",
"creditorAddress": {
"country": "string",
"streetName": "string",
"townName": "string",
"postCode": "string"
},
"remittanceInformationUnstructured": "string",
"transactionStatus": "ACSC"
}
],
"requestedExecutionDate": "2026-05-04"
}'
Request examples
# Headers
Signature: $SIGNATURE
# Payload
{
"debtorAccount": {
"iban": "string",
"maskedPan": "string",
"currency": "string",
"cashAccountType": "string"
},
"payments": [
{
"instructedAmount": {
"currency": "string",
"amount": "string"
},
"creditorAccount": {
"iban": "string",
"maskedPan": "string",
"currency": "string",
"cashAccountType": "string"
},
"creditorName": "string",
"endToEndIdentification": "string",
"creditorAddress": {
"country": "string",
"streetName": "string",
"townName": "string",
"postCode": "string"
},
"remittanceInformationUnstructured": "string",
"transactionStatus": "ACSC"
}
],
"requestedExecutionDate": "2026-05-04"
}
Response examples (default)
{
"transactionStatus": "ACSC",
"paymentId": "string",
"_links": {
"self": {
"href": "string"
},
"status": {
"href": "string"
}
},
"psuMessage": "string",
"tppMessages": [
{
"category": "ERROR",
"code": "ACCESS_EXCEEDED",
"path": "string",
"text": "string"
}
]
}